from src.models.base_models import BaseRetrainAlgo

"""
Pilot model, use a simpler model that costs less but always retrain
"""
class Pilot(BaseRetrainAlgo):
    def __init__(self, T: int, t_offline: int, discounted_cost:float):
        super().__init__(T, t_offline)
        self.fixed_retrain_indices = range(T)
        self.name = 'pilot'
        self.discounted_cost = discounted_cost

   